Uploaded image for project: 'Hadoop HDFS'
  1. Hadoop HDFS
  2. HDFS-2343

Make hdfs use same version of avro as HBase

VotersWatch issueWatchersCreate sub-taskLinkCloneUpdate Comment AuthorReplace String in CommentUpdate Comment VisibilityDelete Comments
    XMLWordPrintableJSON

Details

    • Bug
    • Status: Closed
    • Blocker
    • Resolution: Fixed
    • 0.22.0
    • 0.22.0
    • hdfs-client
    • None
    • Reviewed

    Description

      HBase depends on avro 1.5.3 whereas hadoop-common depends on 1.3.2.
      When building HBase on top of hadoop, this should be consistent.
      Moreover, this should be consistent between common, hdfs, and mapreduce.

      Attachments

        1. HDFS-2343-branch-0.22.patch
          2 kB
          Joep Rottinghuis

        Issue Links

        Activity

          This comment will be Viewable by All Users Viewable by All Users
          Cancel

          People

            jrottinghuis Joep Rottinghuis
            jrottinghuis Joep Rottinghuis
            Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

            Dates

              Created:
              Updated:
              Resolved:

              Issue deployment